package com.bizzan.bitrade.vo;

import java.math.BigDecimal;
import java.util.List;

import com.bizzan.bitrade.entity.ContractOrderEntrust;
import com.bizzan.bitrade.entity.MemberContractPosition;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("仓位(带止盈止损)")
public class MemberContractPositionWithCut extends MemberContractPosition {

	@ApiModelProperty("止盈止损列表")
	private List<ContractOrderEntrust> cutList;
	@ApiModelProperty("预估强平价")
	private BigDecimal estimatedBlastPrice;
	@ApiModelProperty("保证金率")
	private BigDecimal marginRate;
	@ApiModelProperty("资产账户金额")
	private BigDecimal currencyBalance;
	public BigDecimal getCurrencyBalance() {
		return currencyBalance;
	}

	public void setCurrencyBalance(BigDecimal currencyBalance) {
		this.currencyBalance = currencyBalance;
	}

	public BigDecimal getContractBalance() {
		return contractBalance;
	}

	public void setContractBalance(BigDecimal contractBalance) {
		this.contractBalance = contractBalance;
	}

	@ApiModelProperty("合约账户金额")
	private BigDecimal contractBalance;

	public BigDecimal getMarginRate() {
		return marginRate;
	}

	public void setMarginRate(BigDecimal marginRate) {
		this.marginRate = marginRate;
	}

	public BigDecimal getEstimatedBlastPrice() {
		return estimatedBlastPrice;
	}

	public void setEstimatedBlastPrice(BigDecimal estimatedBlastPrice) {
		this.estimatedBlastPrice = estimatedBlastPrice;
	}

	public List<ContractOrderEntrust> getCutList() {
		return cutList;
	}

	public void setCutList(List<ContractOrderEntrust> cutList) {
		this.cutList = cutList;
	}
	
	@ApiModelProperty("当前跟单人数")
	private Long followCount;
	public Long getFollowCount() {
		return followCount;
	}

	public void setFollowCount(Long followCount) {
		this.followCount = followCount;
	}
}
